{ mkDerivation, aeson, base, bytestring, conduit, conduit-extra
, containers, exceptions, filepath, hedgehog, hedgehog-corpus, mtl
, optparse-applicative, stdenv, tasty, tasty-hedgehog, text
, transformers, unliftio, yaml
}:
mkDerivation {
  pname = "buuka";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    aeson base bytestring conduit conduit-extra containers exceptions
    filepath mtl transformers unliftio yaml
  ];
  executableHaskellDepends = [ base optparse-applicative ];
  testHaskellDepends = [
    aeson base hedgehog hedgehog-corpus tasty tasty-hedgehog text
  ];
  license = stdenv.lib.licenses.bsd3;
}
